Bug 117154

Summary: [GTK] Migrate WebKitWebView to GTask
Product: WebKit Reporter: Carlos Garcia Campos <cgarcia>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, danw, gustavo, mrobinson, xan.lopez
Priority: P2 Keywords: Gtk
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 117149    
Attachments:
Description Flags
Patch
none
Updated patch according to review comments gustavo: review+

Description Carlos Garcia Campos 2013-06-03 09:00:02 PDT
Migrate WebKitWebView to GTask
Comment 1 Carlos Garcia Campos 2013-06-03 09:04:39 PDT
Created attachment 203598 [details]
Patch
Comment 2 WebKit Commit Bot 2013-06-03 09:07:17 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Dan Winship 2013-06-03 10:36:33 PDT
Comment on attachment 203598 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=203598&action=review

> Source/WebKit2/UIProcess/API/gtk/WebKitWebView.cpp:2472
> +    if (g_cancellable_set_error_if_cancelled(g_task_get_cancellable(task.get()), &error)) {
> +        g_task_return_error(task.get(), error);
> +        return;
> +    }

if (g_task_return_error_if_cancelled(task))
    return;

> Source/WebKit2/UIProcess/API/gtk/WebKitWebView.cpp:2953
> +    if (g_cancellable_set_error_if_cancelled(g_task_get_cancellable(task.get()), &error)) {

likewise
Comment 4 Carlos Garcia Campos 2013-06-04 01:47:52 PDT
Created attachment 203664 [details]
Updated patch according to review comments
Comment 5 Dan Winship 2013-06-04 06:27:32 PDT
Comment on attachment 203664 [details]
Updated patch according to review comments

looks good
Comment 6 Gustavo Noronha (kov) 2013-06-18 10:01:38 PDT
Comment on attachment 203664 [details]
Updated patch according to review comments

LGTM
Comment 7 Carlos Garcia Campos 2013-06-19 00:19:53 PDT
Committed r151724: <http://trac.webkit.org/changeset/151724>